Author Topic: Source code from neo/tools/  (Read 1054 times)

0 Members and 1 Guest are viewing this topic.

bitterman

  • Sr. Member
  • ****
  • Posts: 350
  • Karma: +9/-5
  • Doom Newbie
    • View Profile
Source code from neo/tools/
« on: July 01, 2015, 01:02:47 AM »
I see in neo/tools/ a source code for all "Edit<name>" console commands (editor, editGUI, etc.).

But these commands are not available in compiled doom3gpl.exe.

How to compile .exe with tools? Is it possible? Some EULA problems?


The Happy Friar

  • Happy Happy Joy Joy
  • Administrator
  • Hero Member
  • *****
  • Posts: 935
  • Karma: +44/-4
  • Semi-Newbie.
    • View Profile
    • EarthQuake
Re: Source code from neo/tools/
« Reply #1 on: July 01, 2015, 06:39:33 AM »
The tools need MFC.  That normaly costs $, there is a way to force it to work with the free version of MSVC Express, but the Community version includes MFC, so there's no need for a work around any more.  community doesn't work on XP though, you need win 8, 7 or (maybe) Vista.

bitterman

  • Sr. Member
  • ****
  • Posts: 350
  • Karma: +9/-5
  • Doom Newbie
    • View Profile
Re: Source code from neo/tools/
« Reply #2 on: July 01, 2015, 07:35:59 AM »
Clearly, thanks.

About XP. BFG code (RBDOOM) is compiled but not run on XP. I think there is problem with DX10 (via 9.0c on XP).

And in system requirements say about "card with DX10 and OpenGL 3.2" & "Geforce 9600 GT".
I have Geforce 9600 GT but as I see card supported DX10 and OpenGL 2.1.

Then migration on W7 is under question. Not sure about this.

But thanks once again :)

« Last Edit: July 01, 2015, 07:44:10 AM by bitterman »

motorsep

  • Hero Member
  • *****
  • Posts: 1,039
  • Karma: +74/-131
  • Artist
    • View Profile
    • Kot in Action Creative Artel
Re: Source code from neo/tools/
« Reply #3 on: July 01, 2015, 08:07:28 AM »
And in system requirements say about "card with DX10 and OpenGL 3.2" & "Geforce 9600 GT".
I have Geforce 9600 GT but as I see card supported DX10 and OpenGL 2.1

Simply update drivers. OpenGL 3.2 is supported in drivers on XP.